## org.omg.CORBA
Class _PolicyStub

    java.lang.Object
      |
      +--org.omg.CORBA.portable.ObjectImpl
            |
            +--org.omg.CORBA._PolicyStub

All Implemented Interfaces:
  IDLEntity, Object, Policy, PolicyOperations, java.io.Serializable

public class _PolicyStub
extends ObjectImpl
implements Policy

Interface definition : Policy

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Constructor Summary
`_PolicyStub()`

Method Summary
`java.lang.String[]` `_ids()`
`Policy` `copy()` Operation copy
`void` `destroy()` Operation destroy
`int` `policy_type()` Read accessor for policy_type attribute

Methods inherited from class org.omg.CORBA.portable.ObjectImpl
`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Constructor Detail

### _PolicyStub

    public _PolicyStub()

Method Detail

### _ids

    public java.lang.String[] _ids()

  Overrides:
    `_ids` in class `ObjectImpl`

### policy_type

    public int policy_type()

  Read accessor for policy_type attribute
  Specified by:
    `policy_type` in interface `PolicyOperations`
  Returns:
    the attribute value

### copy

    public Policy copy()

  Operation copy
  Specified by:
    `copy` in interface `PolicyOperations`

### destroy

    public void destroy()

  Operation destroy
  Specified by:
    `destroy` in interface `PolicyOperations`